function atanh, z

;+
; NAME:
;     ATANH
;
; PURPOSE:
;     Return the inverse hyperbolic tangent of the argument
;
; CALLING SEQUENCE
;     result = atanh(z)
;
; INPUTS:
;     z - Hyperbolic tangent, numeric scalar or vector or multidimensional array
;        (not complex) 
;
; OUTPUT:
;     result - Inverse hyperbolic tangent, same number of elements as z.
;              Double precision if z is double, otherwise floating point.
;
; METHOD:
;     Uses the result atanh(z)=[ln(1+z)-ln(1-z)]/2  
;
; REVISION HISTORY:
;     Apr 07 - Written by Richard Massey
;-

return, (alog(1+z)-alog(1-z))/2.

end



